Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libdvdread
Version:	0.9.7
Release:	2
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.dtek.chalmers.se/groups/dvd/index.shtml
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-automake.patch
Patch1:		libdvdread-udf.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	A library which provides functions for reading DVD video disks.

%description
libdvdread provides a simple foundation for reading DVD video disks.
It provides the functionality that is required to access many DVDs.
It parses IFO files, reads NAV-blocks, and performs CSS authentication and descrambling.
For more details see: http://www.dtek.chalmers.se/groups/dvd/index.shtml

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0
# get UDF size from .ifo file, not from (defective) UDF filesystem
# fixes playback of DVD-Movie-Protect protected discs
# patch and details on :
# http://tobias.rautenkranz.ch/libdvdread_ifo.html.de
%patch1 -p1

%build
rm missing
libtoolize --copy --force
aclocal
autoconf
automake -a -c
%configure
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
cp $RPM_BUILD_DIR/%{name}-%{version}/dvdread/*_udf.h $RPM_BUILD_ROOT%_includedir/dvdread
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.7-2
- added patch to fix playback of DVD-Movie-Protect protected DVDs
* Sat Nov 25 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.9.7-1
- version update
* Thu Feb 02 2006 Christian Wasem <wasem@ccux-linux.de> 0.9.5-2
- added automake.patch
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 0.9.5-1
- Update to Version 0.9.5
* Thu Sep 15 2005 Christian Wasem <wasem@ccux-linux.de> 0.9.4-5
- adding dvd_udf.h to devel
* Wed Jul 13 2005 Christian Wasem <wasem@ccux-linux.de> 0.9.4-4
- rebuild for source rpm, changing group to System/Libraries
